Package org.wso2.carbon.logging.admin.stub.types.axis2

# Class GetAllLoggerDataResponse

java.lang.Object
org.wso2.carbon.logging.admin.stub.types.axis2.GetAllLoggerDataResponse

All Implemented Interfaces:
  `Serializable`, `org.apache.axis2.databinding.ADBBean`

public class GetAllLoggerDataResponse extends Object implements org.apache.axis2.databinding.ADBBean
GetAllLoggerDataResponse bean class

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `GetAllLoggerDataResponse.Factory`
  Factory class that keeps the parse method

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected LoggerData[]`
  `local_return`
  field for _return This was an Array!
  `protected boolean`
  `local_returnTracker`
  `static final QName`
  `MY_QNAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAllLoggerDataResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add_return(LoggerData param)`
  Auto generated add method for the array for convenience
  `LoggerData[]`
  `get_return()`
  Auto generated getter method
  `org.apache.axiom.om.OMElement`
  `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
  `XMLStreamReader`
  `getPullParser(QName qName)`
  databinding method to get an XML representation of this object
  `boolean`
  `is_returnSpecified()`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
  `void`
  `set_return(LoggerData[] param)`
  Auto generated setter method
  `protected void`
  `validate_return(LoggerData[] param)`
  validate the array for _return

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MY_QNAME

    public static final QName MY_QNAME

  - ### local_return

    protected LoggerData[] local_return
    field for _return This was an Array!

  - ### local_returnTracker

    protected boolean local_returnTracker

- ## Constructor Details

  - ### GetAllLoggerDataResponse

    public GetAllLoggerDataResponse()

- ## Method Details

  - ### is_returnSpecified

    public boolean is_returnSpecified()

  - ### get_return

    public LoggerData[] get_return()
    Auto generated getter method
    Returns:
      org.wso2.carbon.logging.admin.stub.types.carbon.LoggerData[]

  - ### validate_return

    protected void validate_return(LoggerData[] param)
    validate the array for _return

  - ### set_return

    public void set_return(LoggerData[] param)
    Auto generated setter method
    Parameters:
      `param` - _return

  - ### add_return

    public void add_return(LoggerData param)
    Auto generated add method for the array for convenience
    Parameters:
      `param` - org.wso2.carbon.logging.admin.stub.types.carbon.LoggerData

  - ### getOMElement

    public org.apache.axiom.om.OMElement getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory) throws org.apache.axis2.databinding.ADBException
    Specified by:
      `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
    Parameters:
      `parentQName` -
      `factory` -
    Returns:
      org.apache.axiom.om.OMElement
    Throws:
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### getPullParser

    public XMLStreamReader getPullParser(QName qName) throws org.apache.axis2.databinding.ADBException
    databinding method to get an XML representation of this object
    Specified by:
      `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `org.apache.axis2.databinding.ADBException`